
Foreman - Bug #13773

The ssh provisioning uses the Ruby#timeout interface, which is considered a pretty dangerous thing

to do

02/17/2016 11:53 AM - Ivan Necas

Status: New   

Priority: Normal   

Assignee:    

Category: Orchestration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some explanations for this not being a good idea:

https://coderwall.com/p/1novga/ruby-timeouts-are-dangerous

http://www.mikeperham.com/2015/05/08/timeout-rubys-most-dangerous-api/

http://blog.headius.com/2008/02/ruby-threadraise-threadkill-timeoutrb.html

Related issues:

Related to Foreman - Tracker #14002: Orchestration build around ActiveRecord ... New 03/02/2016

History

#1 - 02/17/2016 11:53 AM - Ivan Necas

- Subject changed from The ssh provisioning uses the Ruby#timeout interface, which is considered as pretty dangerous thing to do to The ssh

provisioning uses the Ruby#timeout interface, which is considered a pretty dangerous thing to do

#2 - 03/02/2016 04:14 AM - Ivan Necas

- Related to Tracker #14002: Orchestration build around ActiveRecord hooks tracker added

Powered by TCPDF (www.tcpdf.org)

05/21/2024 1/1

https://coderwall.com/p/1novga/ruby-timeouts-are-dangerous
http://www.mikeperham.com/2015/05/08/timeout-rubys-most-dangerous-api/
http://blog.headius.com/2008/02/ruby-threadraise-threadkill-timeoutrb.html
http://www.tcpdf.org

